public class Hauptklasse {
	
	private static int kk = 42;
	
	private int k=42;
	private int nr=0;
	
	private Hauptklasse(int nr)  {
		this.nr = nr;
		//System.out.println("this: "+this);
	}
	
	private void test2() {
		k=k+1;
		kk=kk+1;
		System.out.println("nr: "+nr+"  k: "+k+"  kk: "+kk);
	}

	private static void static_test2(int nr) {
		System.out.println("nr: "+nr+"  kk: "+kk);
	}
	
	private void fakultaet1() {
		System.out.println("in fakultaet1");
	}

	public static void main(String[] args) {
		Hauptklasse instanz1 = new Hauptklasse(1);
		instanz1.test2();
		instanz1.k = 44;
		instanz1.test2();
		
		Hauptklasse instanz2 = new Hauptklasse(2);
		instanz2.test2();
		instanz2.k = 12;
		instanz2.test2();
		
		instanz1.test2();
		
		instanz1.static_test2(1);
		instanz2.static_test2(2);
		// instanz.test2();
		// instanz.test3();
		// instanz.test4();
	}

}